#!/bin/ksh
#*BEGIN CMVC *
#**************************************************************************
#*
#*  Workfile: %W%
#*  Last update: %E% %U%
#*  SCCS path, id: %F% %I%
#*
#**************************************************************************
#*END CMVC *
#*BEGIN COPYRIGHT *
#**************************************************************************
#
#   Licensed Materials - Property of IBM
#   WA81 SupportPac
#   (c) Copyright IBM Corp. 1999, 2001
#   The source code for this program is not published or other-
#   wise divested of trade secrets, irrespective of what has
#   been deposited with the U.S. Copyright Office.
#
#**************************************************************************
#*END COPYRIGHT *

# -----------------------------------------------
# -- WebSphere configuration script            --
# -----------------------------------------------
# -- Adapt to your specific environment        --
# -----------------------------------------------

# Set to the WebSphere installation directory
# For example, WAS_HOME=/usr/WebSphere/AppServer
# ------------------------------------------------------
export WAS_HOME=

# Set to the Java installation directory
# For WAS 3.0.2, use: /usr/jdk_base
# For WAS V3.5, use the built-in JRE: $WAS_HOME/java/jre
# -------------------------------------------------------
export JDK_HOME=

# Set to the hostname of the WebSphere administration server
# Note: 'localhost' cannot be used here
# -----------------------------------------------------------
export ADMIN_NODE=

# Don't change anything below this line
# =====================================

OpSys=`uname -s` #  Currently supported are:                 #
                 #    IBM: "AIX" (v4.2, v4.3)                #
                 #    HP:  "HP-UX" (v10.20)                  #
                 #    SUN: "SunOS" (Solaris 7)               #
                 #  Currently testing:                       #
                 #    LINUX: "Linux" (SuSE, Red Hat)         #

# check WasHome
if [ ! -x "$WAS_HOME/bin/XMLConfig.sh" = "" ]
then
   echo WAS_HOME is not set correctly \($WAS_HOME/bin/XMLConfig.sh is not executable\)!

# check AdminNode
else
   if [ "$ADMIN_NODE" = "" ]
   then
      echo You must set ADMIN_NODE before running this script!
   else

      # run
      export OPWD=$PWD
      export OCP=$CLASSPATH
      export OLP=$LIBPATH
      export CLASSPATH=$WAS_HOME/lib/swingall.jar:fmcohcli.jar:$CLASSPATH
      if [ -d $JDK_HOME/bin/classic ]
      then
        export LIBPATH=$JDK_HOME/bin/classic:$JDK_HOME/bin:$LIBPATH
      fi

      $JDK_HOME/bin/java com.ibm.workflow.util.cfg.ConfigureWAS
      if [ $? = 0 ]
      then
         cd $WAS_HOME/bin
         ./XMLConfig.sh -adminNodeName $ADMIN_NODE -import $OPWD/was3.xml
         cd $OPWD

         if [ $OpSys = "AIX" ]
         then
           if [ -d $JDK_HOME/bin/classic ]
           then
             echo Note: Do not forget to add /usr/lpp/fmc/lib to the LD_LIBRARY_PATH before starting the WebSphere Admin server!
           else
             echo Note: Do not forget to add /usr/lpp/fmc/lib to the LIBPATH before starting the WebSphere Admin server!
           fi
         fi
      fi

      # cleanup
      unset WAS_HOME=
      unset ADMIN_NODE=
      unset OPWD=
      export CLASSPATH=$OCP
      unset OCP=
      export LIBPATH=$OLP
      unset OLP=
   fi
fi
