<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

//------------------------------------------------------------------------
// determine browser
//------------------------------------------------------------------------

function Browser()
{
  var b = navigator.appName;
  var vi = parseInt(navigator.appVersion);

  if (b == "Netscape" && vi >= 4) this.isNS = true;
  else if (navigator.userAgent.indexOf("Opera") > 0) b = navigator.userAgent;
  else if (b == "Microsoft Internet Explorer" && vi >= 4) this.isIE = true;

  if (!this.isNS && !this.isIE) alert("Browser " + b + " not supported");
}

var browser = new Browser();

//------------------------------------------------------------------------
// layers...
//------------------------------------------------------------------------

// Create a Layer with HTML-Content at Position (x,y) without
// Searching for a <div>-Tag
function createLayer(name, html,left,top)
{
  if (browser.isNS)
  {
    var lyr = document.layers[name] = new Layer(2)
    eval("document."+name+" = lyr")
    lyr.name = name
    lyr.left = left
    lyr.top = top
    lyr.clip.height = 30
    lyr.visibility = 'show'
    lyr.document.open()
    lyr.document.write(html)
    lyr.document.close()
    return lyr
  }
  else if (browser.isIE)
  {
    var str = '\n<div id='+name+' style="position:absolute; left:'+left+'; top:'+top+'; width:2pt; height:1pt; visibility:show;z-index=4;">'
    str = str + html + '</div>'
    document.body.insertAdjacentHTML("BeforeEnd",str)
    return getLayer(name)
  }
}

// Write new HTML-Content into a Layer
function writeIntoLayer(layer, html)
{
  if (browser.isNS)
  {
    layer.document.open();
    layer.document.write(html);
    layer.document.close();
  }
  else if (browser.isIE)
  {
    layer.innerHTML=html;
  }
}

// Getting the Width of a Layer
function getWidth(layer)
{
  if (browser.isNS)
  {
    if (layer.document.width)
      return(layer.document.width);
    else
      return(layer.clip.right - layer.clip.left);
  }
  if (browser.isIE)
      return(layer.clientWidth);
  return(-1);
}

// Getting the Height of a Layer
function getHeight(layer)
{
  if (browser.isNS)
  {
    if (layer.document.height)
      return(layer.document.height);
    else
      return(layer.clip.bottom - layer.clip.top);
  }
  if (browser.isIE)
      return(layer.clientHeight);
  return(-1);
}

// Move Layer at X/Y Position.
function moveLayerTo(layer, x, y)
{
  if (browser.isNS)
    layer.moveTo(x, y);
  if (browser.isIE)
  {
    layer.style.left = x;
    layer.style.top  = y;
  }
}

// Set the Background Color of a Layer with the specified Color
function setBgColor(layer, color)
{
  if (browser.isNS)
    layer.bgColor = color;
  if (browser.isIE)
    layer.style.backgroundColor = color;
}

// Function for initialising a certain Layer.
function getLayer(name)
{
  if (browser.isNS)
    return findLayer(name, document);
  if (browser.isIE)
    return eval('document.all.' + name);
  return null;
}

// Function for initialising a certain Layer (only for NETSCAPE).
// Used by getLayer(name) above.
function findLayer(name, doc)
{
  var i, layer;
  for (i = 0; i < doc.layers.length; i++)
  {
    layer = doc.layers[i];
    if (layer.name == name)
      return layer;
    if (layer.document.layers.length > 0)
    {
      layer = findLayer(name, layer.document);
      if (layer != null)
        return layer;
    }
  }
  return null;
}

// Make a certain Layer visible.
function showLayer(layer)
{
  if (browser.isNS)
    layer.visibility = "show";
  if (browser.isIE)
    layer.style.visibility = "visible";
}

// Make a certain Layer invisible.
function hideLayer(layer)
{
  if (browser.isNS)
    layer.visibility = "hide";
  if (browser.isIE)
    layer.style.visibility = "hidden";
}


// ------------------------------------------------------------ //
// ----------------  Functions for Tabed Panes ---------------- //
// ------------------------------------------------------------ //

//var unselectedHeadForIE = "<span class='tabunselected'><a href=\"javascript:{}\" onClick=\"javascript:showTab('{_Text_}');\">&nbsp;{_Text_}&nbsp;</a></span>"
var unselectedHead = "<span class='tabunselected'><a href=\"javascript:showTab('{_Text_}');\">&nbsp;{_Text_}&nbsp;</a></span>"
var selectedHead   = "<span class='tabselected'>&nbsp;{_Text_}&nbsp;</span>"

var layerHead = new Array()
var layerBody = new Array()

var selectedindex = 0
var y_pos         = 110
var x_pos         = 14
var maxlength = 20  //Max. Length of a Tab

//Initialisation of the Tabed Pane
function initTabedPane(index)
{
  var x = x_pos

  for (var i=0;i<tabtext.length;i++)
  {
    var headcontent = unselectedHead
    var txt         = tabtext[i]

    headcontent = headcontent.replace("{_Text_}", txt)

    while (txt.indexOf("_") != -1) txt = txt.replace("_","&nbsp;")
    headcontent = headcontent.replace("{_Text_}", txt)

    layerHead[i] = createLayer("Head"+i, headcontent, x, y_pos)

    x += getWidth(layerHead[i])
    layerBody[i] = getLayer(tabtext[i])
    moveLayerTo(layerBody[i], x_pos, y_pos+getHeight(layerHead[0]))
    maxlength = ( getHeight(layerBody[i])>maxlength ) ? getHeight(layerBody[i]) : maxlength
  }

  //Correct the scrollable Screen Height
  if (browser.isIE)
    var resizelayer = createLayer("big","<br>",x,y_pos+getHeight(layerHead[0])+maxlength+10)
  if (browser.isNS)
    document.height += ( y_pos - 20 )

  //Set Index of selected Tab
  selectedindex = index;
  showTab(tabtext[selectedindex])
}

//Change of selected Tab
function showTab(text)
{
  for (var ndx=0;ndx<tabtext.length;ndx++)
  {
    if (tabtext[ndx]==text)
      break;
  }

  // Show selected Tab.
  hideLayer(layerBody[selectedindex])
  showLayer(layerBody[ndx])

  // Show colored Tab Head of selected Tab.
  var html = unselectedHead
  var txt  = tabtext[selectedindex]

  html = html.replace("{_Text_}", txt)

  while (txt.indexOf("_") != -1) txt = txt.replace("_","&nbsp;")
  html = html.replace("{_Text_}", txt)

  writeIntoLayer( layerHead[selectedindex], html )

  html = selectedHead
  txt  = tabtext[ndx]

  while (txt.indexOf("_") != -1) txt = txt.replace("_","&nbsp;")

  html = html.replace("{_Text_}", txt)

  writeIntoLayer( layerHead[ndx], html )

  selectedindex = ndx
}


// ------------------------------------------------------------ //
// ---------  Moving a Layer through Page Background ---------- //
// ------------------------------------------------------------ //

// Default Configuration. -------------------------------------
// Image Information
var imgWidth  = 138
var imgHeight = 54

// Presentation Information
var imgStep = 50  // Time Interval in ms
var imgIncX = 1   // Horizontal Step Width
var imgIncY = 2   // Vertical Step Width

// Status Information about current Direction of the Picture.
var imgDirX = 1 // +1 means right, -1 means left
var imgDirY = 1 // +1 means down, -1 means up

// Layer to be moved in Background
var mylayer

// Initialisation of the Presentation. ------------------------
// The Picture will be put as a layer into the page
// and afterwards (move()) only the style will be changed.
function backgroundinit(name, imgURL)
{
  mylayer = getLayer(name)
  with (mylayer)
  {
    if (browser.isNS)
    {
      left   = 0
      top    = innerHeight
      width  = imgWidth
      height = imgHeight
      document.open("text/html")
      document.write("<img src=\"" + imgURL + "\" width=" + imgWidth + " height=" + imgHeight + ">")
      document.close()
    }
    else
    {
      style.left   = 0
      style.top    = Number(document.body.clientHeight)
      style.width  = imgWidth
      style.height = imgHeight
      innerHTML    = "<img src=\"" + imgURL + "\" width=" + imgWidth + " height=" + imgHeight + ">"
    }
    setTimeout("move()", imgStep)
  }
}


// Moving the Background Image one Step further. --------------
function move()
{
  // Get Width and Height of current Logon Page
  // These Parameters may change through User Interaction: Window Resize
  var iWidth  = (browser.isNS ? innerWidth : Number(document.body.clientWidth))
  var iHeight = (browser.isNS ? innerHeight : Number(document.body.clientHeight))


  var ttop, tleft
  with (mylayer)
  {
    // Get current Image Position.
    if (browser.isNS)
    {
      tleft = left
      ttop  = top
    }
    else
    {
      tleft = parseInt(style.left)
      ttop  = parseInt(style.top)
    }

    // Correction of the Position after Changes of the Window Size.
    if(tleft + imgWidth > iWidth)
      tleft = iWidth - imgWidth
    if(ttop + imgHeight > iHeight)
      ttop  = iHeight - imgHeight

    // Set New Positioning into Parameters.
    tleft += imgDirX * imgIncX
    ttop  += imgDirY * imgIncY
    if (tleft + imgWidth > iWidth)
    {
      imgDirX *= -1
      tleft = 2 * (iWidth - imgWidth) - tleft
    }
    if (ttop + imgHeight > iHeight)
    {
      imgDirY *= -1
      ttop  = 2 * (iHeight - imgHeight) - ttop
    }
    if (tleft < 0)
    {
      imgDirX *= -1
      tleft = -tleft
    }
    if (ttop < 0)
    {
      imgDirY *= -1
      ttop  = -ttop
    }

    // Set new Image Position through Style Parameters of Picture Layer.
    if (browser.isNS)
    {
      left  = tleft
      top = ttop
    }
    else
    {
      style.left  = tleft
      style.top = ttop
    }
    visibility  = true
  }
  setTimeout("move()", imgStep)
}
