<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="Force restart an activity or work item" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<%
  ActivityInstance activity = context.getActivityInstance();
  WorkItem workItem = context.getWorkItem();
  String name = workItem == null ? activity.name() : workItem.name();
%>

<html>

<head>
  <title><%=name%></title>
  <link rel="stylesheet" type="text/css" href="../webclientstyle.css">
</head>

<body>
  <% if (workItem == null ) {
      Command submit = Command.AI_FORCE_FINISH;
      String oid = activity.persistentOid();
      Command cancel = Command.AI_SHOW_PROPERTIES.withText("Command.Cancel");
    %>
    <h1><%=context.get("Command.ForceFinishActivity")%> <i><%=name%></i></h1>
    <%=context.generateForm(submit, oid, cancel, oid,
                            activity.inContainer(), activity.outContainer(),
                            null, "0")%>
    <% } else {
      Command submit = Command.WI_FORCE_FINISH;
      String oidSubmit = workItem.persistentOid();
      Command cancel = Command.WL_QUERY_WORK_ITEMS.withText("Command.Cancel");
      String oidCancel = context.getWorkListOid();
    %>
    <h1><%=context.get("Command.ForceFinishWorkItem")%> <i><%=name%></i></h1>
    <% if (context.getAttribute("generateForm") != null) { %>
      <%=context.generateForm(submit, oidSubmit, cancel, oidCancel,
                              workItem.inContainer(), workItem.outContainer(),
                              null, "0")%>
    <% } else { %>
      <h2><%=context.get("Command.ConfirmForceFinishWorkItem", name)%></h2>
      <%=context.openForm(submit.getCommand(), oidSubmit)%>
      <input type="submit" name="submitData" value="<%=context.get("Command.OK")%>">
      <input type="button" name="cancel" value="<%=cancel.getText(context)%>"
             onClick="javascript:location.replace('<%=cancel.getURL(context, oidCancel, null, false)%>')">
      </form>
    <% }
  } %>
</body>

</html>
