<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP Monitor Viewer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<html>
<head>
<title>IBM MQSeries Workflow Web Client <%=context.get("MonitorViewer.ProcessMonitor")%></title>
<link rel="stylesheet" type="text/css" href="../webclientstyle.css">
</head>

<body>

<%String kind = context.getRequestParameter("type",null);%>

<!-- --------------- Navigation Buttons --------------- //-->

<table width="100%" border="2" bordercolordark="#000000" bordercolorlight="#FFFFFF" cellpadding="0" cellspacing="0" class="navigator">
<tr>
    <!--  Back to List Button  //-->
    <%String command="", id="", buttonTxt="", imagename="";
      if (context.getKindOfList()==SessionContext.WORKLIST) // ProcessMonitor was called for a workitem in a worklist
      {
        command = "queryWorkItems";
        id = context.getWorkListOid();
        imagename = "back_worklist";
        buttonTxt = context.get("MonitorViewer.BackToWorkList");
      }
      else // ProcessMonitor was called for a processinstance in a processinstancelist
      {
        command="queryProcessInstances";
        id = context.getInstanceListOid();
        imagename = "back_instlist";
        buttonTxt=context.get("MonitorViewer.BackToInstanceList");
      }
    %>
    <td align="left">
      <a href="<%=context.getCommand(command, id, "&useCache=true")%>">
      <img src="../images/navigation/<%=imagename%>.gif" border="0" alt="<%=buttonTxt%>"></a></td>


 <!--  Back to Monitor  //-->
    <%if ("Block".equals(kind) || "Sub Process".equals(kind))
      {
        if ("Block".equals(kind))
          if (context.getMonitorListSize()>=3)
            buttonTxt = context.get("MonitorViewer.BackToBlockMonitor");
          else
            buttonTxt = context.get("MonitorViewer.BackToProcessMonitor");
        else
          buttonTxt = context.get("MonitorViewer.BackToParentProcessMonitor");
        %>

    <td>
        <%if (context.getMonitorListSize()>=3)
        {%>
      <a href="<%=context.getCommand("showMonitor", ((SessionContext.MonitorPackage)context.getMonitor(context.getMonitorListSize()-2)).getOid(), "&type=Block")%>">
      <%}
        else
        {%>
      <a href="<%=context.getCommand("showMonitor", ((SessionContext.MonitorPackage)context.getMonitor(context.getMonitorListSize()-2)).getOid())%>">
      <%}%>
      <img src="../images/navigation/back_monitor.gif" border="0" alt="<%=buttonTxt%>"></a></td>
    <%}%>


<!--  Refresh Button  //-->
    <td align="left">
    <%if ("Block".equals(kind))
      {%>
      <a href="<%=context.getCommand("showMonitor", context.getRequestParameter("id",null), "&type=Block")%>">
    <%}
      else if ("Sub Process".equals(kind))
      {%>
      <a href="<%=context.getCommand("showMonitor", context.getRequestParameter("id",null), "&type=Sub")%>">
    <%}
      else
      {%>
      <a href="<%=context.getCommand("showMonitor", context.getRequestParameter("id",null))%>">
    <%}%>
      <img src="../images/navigation/refresh.gif" border="0" alt="<%=context.get("Command.Refresh")%>"></a></td>

    <td width="100%">&nbsp;</td>

    <td>
     <a href="javascript:{}" onClick="javascript:var helpwin=window.open('../help/Help_index.html','Help','width=600,height=500,screenX=200,screenY=0,scrollbars,resizable');helpwin.frames[1].location.replace('../help/Help_Body.html#Monitor');">
     <img src="../images/navigation/help.gif" border="0" alt="<%=context.get("MonitorViewer.Help")%>"></a></td>

    <td class="navigationseparator"><img src="../images/a_pixel.gif" width="3"></td>

    <td align="right">
     <a href="<%=context.getCommand("logoff")%>">
     <img src="../images/navigation/logoff.gif" border="0" alt="<%=context.get("MonitorViewer.Logoff")%>"></a></td>

  </tr>
  </table>


<!-- Title -->
  <br>
  <div class="title">
  <%
    if ("Sub".equals(kind))
      kind = context.get("MonitorViewer.SubProcess");
    else if (!"Block".equals(kind))
      kind = context.get("MonitorViewer.Process");
    String title = context.get("MonitorViewer.MonitorFor") + " " + kind + "&quot;" +
                   context.getMonitorName(null) + "&quot;";
  %>
  <%=title%><br><br>
  </div>

  <%=(String)context.getAttribute("MonitorViewer.ImageMap")%>

  <table border="2" bordercolordark="#000000" bordercolorlight="#FFFFFF" cellspacing="0" cellpadding="0" align="center">
  <tr><td>
  <img src="<%=context.getCommand("showMonitorImage")%>" usemap="#Map"
       border="0" alt="<%=title%>"></td>
<!--       onMouseOver="status='<%=title%>'; return true;"  -->
<!--       onMouseOut="status='';"></td>                    -->
  </tr></table>
</body>
</html>
