<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP Properties Viewer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<%@ page import="com.ibm.workflow.catalog.Catalog" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<%String type;

  ActivityInstance aInstance         = context.getActivityInstance();
  ControlConnectorInstance cInstance = context.getControlConnectorInstance();
  WorkItem workItem                  = context.getWorkItem();
  ProcessInstance pInstance          = context.getInstance();
  ProcessTemplate template           = context.getTemplate();

  if      (aInstance!=null) type=context.get("PropertiesViewer.ActivityInstance");
  else if (cInstance!=null) type=context.get("PropertiesViewer.ControlConnectorInstance");
  else if (workItem!=null)  type=context.get("PropertiesViewer.WorkItem");
  else if (pInstance!=null) type=context.get("PropertiesViewer.ProcessInstance");
  else if (template!=null)  type=context.get("PropertiesViewer.ProcessTemplate");
  else                      type=context.get("PropertiesViewer.Undefined");

  if (aInstance!=null)
    context.removeAllMonitorsUpto(context.getOidOfMonitor(aInstance.persistentOid()), false);
  if (cInstance!=null)
    context.removeAllMonitorsUpto(context.getOidOfMonitor(cInstance.persistentOidOfSourceActivity()), false);
%>

<html>
<head>
<title>IBM MQSeries Workflow Web Client <%=type%> <%=context.get("PropertiesViewer.Title")%></title>
<link rel="stylesheet" type="text/css" href="../webclientstyle.css">
<style type="text/css">
  a
  {
    color: #000000;
    text-decoration: none;
  }
  a:hover
  {
    color: #000000;
    text-decoration: underline;
  }
  td
  {
    font-size   :9pt;
    font-family :Arial, Helvetica, sans-serif;
    font-weight :bold;
  }
  blockquote
  {
    padding-left     :0.5cm;
    padding-right    :0.5cm;
  }
</style>

<script language="JavaScript" src="../dhtml.js"></script>
<script language="Javascript">
  <%if       (aInstance!=null){%>
  var tabtext   = new Array("<%=context.get("PropertiesViewer.General")%>",
                        "<%=context.get("PropertiesViewer.StartAndExit")%>",
                        "<%=context.get("PropertiesViewer.Staff")%>",
                        "<%=context.get("PropertiesViewer.DataStructures")%>",
                        "<%=context.get("PropertiesViewer.Documentation")%>",
                        "<%=context.get("PropertiesViewer.History")%>",
                        "<%=context.get("PropertiesViewer.InputContainer")%>",
                        "<%=context.get("PropertiesViewer.OutputContainer")%>")
  <%}else if (cInstance!=null){%>
  var tabtext   = new Array("<%=context.get("PropertiesViewer.General")%>")
  <%}else if (workItem!=null) {%>
  var tabtext   = new Array("<%=context.get("PropertiesViewer.General")%>",
                        "<%=context.get("PropertiesViewer.StartAndExit")%>",
                        "<%=context.get("PropertiesViewer.Staff")%>",
                        "<%=context.get("PropertiesViewer.DataStructures")%>",
                        "<%=context.get("PropertiesViewer.Documentation")%>",
                        "<%=context.get("PropertiesViewer.History")%>",
                        "<%=context.get("PropertiesViewer.InputContainer")%>",
                        "<%=context.get("PropertiesViewer.OutputContainer")%>")
  <%}else if (pInstance!=null){%>
  var tabtext   = new Array("<%=context.get("PropertiesViewer.General")%>",
                        "<%=context.get("PropertiesViewer.Staff")%>",
                        "<%=context.get("PropertiesViewer.DataStructures")%>",
                        "<%=context.get("PropertiesViewer.Documentation")%>",
                        "<%=context.get("PropertiesViewer.History")%>",
                        "<%=context.get("PropertiesViewer.InputContainer")%>",
                        "<%=context.get("PropertiesViewer.OutputContainer")%>")
  <%}else if (template!=null) {%>
  var tabtext   = new Array("<%=context.get("PropertiesViewer.General")%>",
                        "<%=context.get("PropertiesViewer.Staff")%>",
                        "<%=context.get("PropertiesViewer.DataStructures")%>",
                        "<%=context.get("PropertiesViewer.Documentation")%>")
  <%}%>
</script>

<!-- --------------------------------------------- //-->
<!-- ---------- Java String Definitions ---------- //-->
<!-- --------------------------------------------- //-->

<%
    String Name="", OnTheWorklistOf="", TemplateName="";
    String Description = null, State="", Type="", ProgramName="", ReceivedAs="", ProcessName="", Category="", ParentName="", TopLevelProcess="", AuditMode="";
    String Start="", StartCondition="", Exit="", ExitCondition="", Starter="", ProcessAdmin="", Priority="", Role="", Organization="";
    String InputDataStructure="", OutputDataStructure="", Documentation = null, Received="", FirstNotification="", SecondNotification="", Finished="" ;
    String InContainer="", OutContainer="";
    String Source="", Target="";
    Container inData=null, outData=null;
    FmcError errorReason = null;

    if (workItem!=null)
    {
      workItem.refresh();
      Name = workItem.name();
      Description = workItem.description();
      State = context.getWIStringForState(workItem.state());
      errorReason = workItem.errorReason();
      Type = context.toString(workItem.kind());
      ProgramName = workItem.implementation();
      ReceivedAs = context.toString(workItem.receivedAs());
      ProcessName = workItem.processInstanceName();
      Category = workItem.category();

      if (workItem.manualStartMode ()) Start=context.get("PropertiesViewer.Manual");
        else Start=context.get("PropertiesViewer.Automatic");

      if (workItem.startCondition()!=null) StartCondition=context.replaceInString(workItem.startCondition(), "\"", "\\\"");

      if (workItem.manualExitMode ()) Exit=context.get("PropertiesViewer.Manual");
        else Exit=context.get("PropertiesViewer.Automatic");

      if (workItem.exitCondition()!=null) ExitCondition=context.replaceInString(workItem.exitCondition(), "\"", "\\\"");

      //String[] staff = workItem.staff();
      //StringBuffer staffBuffer = new StringBuffer(1000);
      //for (int j=0; j < staff.length;j++)
      //   staffBuffer.append (staff[j] + ", ");
      //if (staffBuffer.toString().length()>2)
      //   OnTheWorklistOf=staffBuffer.toString().substring(0,staffBuffer.toString().length()-2);
      OnTheWorklistOf=context.formatStringArray(workItem.staff(),", ");

      ProcessAdmin=workItem.processAdmin();
      Priority=String.valueOf(workItem.priority());

      InputDataStructure=workItem.inContainerName();
      OutputDataStructure=workItem.outContainerName();
      Documentation = workItem.documentation();
      Received=context.toString(workItem.startTime());
      FirstNotification=context.toString(workItem.firstNotificationTime());
      SecondNotification=context.toString(workItem.secondNotificationTime());
      Finished=context.toString(workItem.endTime());

      inData=workItem.inContainer();
      outData=workItem.outContainer();

    }
    else if (aInstance!=null)
    {
      if (Optional.V3300.available)
        Optional.V3300.refreshAI.invoke(aInstance, null);
      Name=context.getMonitorName(aInstance.name());
      Description = aInstance.description();
      State=context.getAIStringForState(aInstance.state());
      errorReason = aInstance.errorReason();
      Type=context.toString(aInstance.kind());
      ProgramName=aInstance.implementation();
      ProcessName=aInstance.processInstanceName();
      Category=aInstance.category();

      if (aInstance.manualStartMode ()) Start=context.get("PropertiesViewer.Manual");
        else Start=context.get("PropertiesViewer.Automatic");

      if (aInstance.startCondition()!=null) StartCondition=context.replaceInString(aInstance.startCondition(), "\"", "\\\"");

      if (aInstance.manualExitMode ()) Exit=context.get("PropertiesViewer.Manual");
        else Exit=context.get("PropertiesViewer.Automatic");

      if (aInstance.exitCondition()!=null) ExitCondition=context.replaceInString(aInstance.exitCondition(), "\"", "\\\"");

      String[] staff = aInstance.staff();
      StringBuffer staffBuffer = new StringBuffer(1000);
      for (int j=0; j < staff.length;j++)
        staffBuffer.append (staff[j] + ", ");
      if (staffBuffer.toString().length()>2)
        OnTheWorklistOf=staffBuffer.toString().substring(0,staffBuffer.toString().length()-2);
      Starter=aInstance.starter();

      ProcessAdmin=aInstance.processAdmin();
      Priority=String.valueOf(aInstance.priority());
      InputDataStructure=aInstance.inContainerName();
      OutputDataStructure=aInstance.outContainerName();
      Documentation = aInstance.documentation();
      Received=context.toString(aInstance.startTime());
      FirstNotification=context.toString(aInstance.firstNotificationTime());
      SecondNotification=context.toString(aInstance.secondNotificationTime());
      Finished=context.toString(aInstance.endTime());

      try
      {
        inData=aInstance.inContainer();
        outData=aInstance.outContainer();
      }
      catch (FmcException xcpt)
      {
        if (xcpt.rc != xcpt.FMC_ERROR_DOES_NOT_EXIST) throw xcpt;
      }
    }
    else if (pInstance!=null)
    {
      pInstance.refresh();
      Name=pInstance.name();
      Description = pInstance.description();
      State=context.getPIStringForState(pInstance.state());
      TemplateName=pInstance.processTemplateName();
      Category=pInstance.category();
      ParentName=pInstance.parentName();
      TopLevelProcess=pInstance.topLevelName();
      AuditMode=context.getStringForAuditMode(pInstance.auditMode());

      Starter=pInstance.starter();
      ProcessAdmin=pInstance.processAdmin();
      Role=pInstance.roleName();
      Organization=pInstance.organizationName();

      InputDataStructure=pInstance.inContainerName();
      OutputDataStructure=pInstance.outContainerName();
      Documentation = pInstance.documentation();
      Received=context.toString(pInstance.startTime());
      FirstNotification=context.toString(pInstance.notificationTime());
      Finished=context.toString(pInstance.endTime());

      inData=pInstance.inContainer();
      outData=pInstance.outContainer();
    }
    else if (template!=null)
    {
      template.refresh();
      Name = template.name();
      Description = template.description();
      Category = template.category();
      AuditMode = context.getStringForAuditMode(template.auditMode());

      ProcessAdmin = template.processAdmin();
      Role = template.roleName();
      Organization = template.organizationName();

      InputDataStructure = template.inContainerName();
      OutputDataStructure = template.outContainerName();

      Documentation = template.documentation();
    }
    else if (cInstance!=null)
    {
      if (cInstance.name()==null)
        Name="NONAME";
      else
        Name=cInstance.name();
      Name=context.getMonitorName(Name);
      State=context.getCIStringForState(cInstance.state());
      Type=context.toString(cInstance.kind());
      StartCondition = cInstance.transitionCondition();
      Source=context.getActivityInstance(cInstance.persistentOidOfSourceActivity()).name();
      Target=context.getActivityInstance(cInstance.persistentOidOfTargetActivity()).name();
    }

    State = context.null2Empty(State);
    Type = context.null2Empty(Type);
    ProgramName = context.null2Empty(ProgramName);
    ReceivedAs = context.null2Empty(ReceivedAs);
    ProcessName = context.null2Empty(ProcessName);
    Category = context.null2Empty(Category);
    TemplateName= context.null2Empty(TemplateName);
    ParentName = context.null2Empty(ParentName);
    TopLevelProcess = context.null2Empty(TopLevelProcess);
    Start = context.null2Empty(Start);
    StartCondition = context.null2Empty(StartCondition);
    Exit = context.null2Empty(Exit);
    ExitCondition = context.null2Empty(ExitCondition);
    Starter = context.null2Empty(Starter);
    OnTheWorklistOf = context.null2Empty(OnTheWorklistOf);
    ProcessAdmin = context.null2Empty(ProcessAdmin);
    Priority = context.null2Empty(Priority);
    Role = context.null2Empty(Role);
    Organization = context.null2Empty(Organization);
    InputDataStructure = context.null2Empty(InputDataStructure);
    OutputDataStructure = context.null2Empty(OutputDataStructure);
    Received = context.null2Empty(Received);
    FirstNotification = context.null2Empty(FirstNotification);
    SecondNotification = context.null2Empty(SecondNotification);
    Finished = context.null2Empty(Finished);
    Source = context.null2Empty(Source);
    Target = context.null2Empty(Target);
    StringBuffer inbuf=new StringBuffer(1024);
    StringBuffer outbuf=new StringBuffer(1024);

    if (inData!=null && outData!=null)
    {
      DefaultViewer.getContainerData(inbuf, "IN", "", inData.structMembers(), null);
      InContainer=context.replaceInString(inbuf.toString(), "\"", "\\\"");
      InContainer=context.replaceInString(InContainer, "\r\n", "");
      InContainer=context.replaceInString(InContainer, "\n", "");
      DefaultViewer.getContainerData(outbuf, "IN", "", outData.structMembers(), null);
      OutContainer=context.replaceInString(outbuf.toString(), "\"", "\\\"");
      OutContainer=context.replaceInString(OutContainer, "\r\n", "");
      OutContainer=context.replaceInString(OutContainer, "\n", "");
    }
  %>

<!-- --------------------------------------------- //-->
<!-- ------- End of Java String Definitions ------ //-->
<!-- --------------------------------------------- //-->

</head>

<body onLoad="javascript:initTabedPane(0)">

<!-- --------------------------------------------- //-->
<!-- --------------- Navigator ------------------- //-->
<!-- --------------------------------------------- //-->

<!-- Back Button //-->
<%String command="", id="", buttonTxt=context.get("Command.Back"), imagename="", addl="";
  if (context.getKindOfList()==SessionContext.WORKLIST)
  {
    command = "queryWorkItems";
    id = context.getWorkListOid();
    imagename = "back_worklist";
    buttonTxt = context.get("Viewer.BackToWorklist");
  }
  else if (context.getKindOfList()==SessionContext.INSTANCELIST)
  {
    command = "queryProcessInstances";
    id = context.getInstanceListOid();
    imagename = "back_instlist";
    buttonTxt = context.get("Viewer.BackToInstancelist");
  }
  else if (context.getKindOfList()==SessionContext.TEMPLATELIST)
  {
    command = "queryProcessTemplates";
    id = context.getTemplateListOid();
    imagename = "back_templist";
    buttonTxt = context.get("Viewer.BackToTemplatelist");
  }
%>


<table width="100%" border="2" bordercolordark="#000000" bordercolorlight="#FFFFFF" cellpadding="0" cellspacing="0" class="navigator">
<tr>
  <td align="left">
  <a href="<%=context.getCommand(command, id, "&useCache=true")%>">
  <img src="../images/navigation/<%=imagename%>.gif" border="0" alt="<%=buttonTxt%>"></a></td>

<%if (aInstance!=null || cInstance!=null)
  {%>

<!-- Back to Monitor Button //-->
<%
  String mid = null;

  if (aInstance != null)
    mid = context.getOidOfMonitor(aInstance.persistentOid());
  else
    mid = context.getOidOfMonitor(cInstance.persistentOidOfSourceActivity());

  if (mid != null)
  {
    id = mid;
    command= "showMonitor";
    buttonTxt= context.get("PropertiesViewer.BackToProcessMonitor");

    ActivityInstance a = context.getActivityInstance(id);

    if (a != null)
    {
      if (a.kind().value()==com.ibm.workflow.api.ActivityInstancePackage.Type._BLOCK)
      {
        addl="&type=Block";
        buttonTxt= context.get("PropertiesViewer.BackToBlockMonitor");
      }
      else if (a.kind().value()==com.ibm.workflow.api.ActivityInstancePackage.Type._PROCESS)
      {
        addl="&type=Sub";
        buttonTxt= context.get("PropertiesViewer.BackToSubProcessMonitor");
      }
    }%>

    <td>
    <a href="<%=context.getCommand(command, id, addl)%>">
    <img src="../images/navigation/back_monitor.gif" border="0" alt="<%=buttonTxt%>"></a></td>
<%}
}%>


<!-- Show Block Monitor Button //-->
<%if (aInstance!=null)
  if (aInstance.kind().value()==com.ibm.workflow.api.ActivityInstancePackage.Type._BLOCK)
  {%>
  <td>
  <a href="<%=context.getCommand("showMonitor", aInstance.persistentOid(), "&type=Block")%>">
  <img src="../images/navigation/show_block.gif" border="0" alt="<%=context.get("PropertiesViewer.ShowBlockMonitor")%>"></a></td>
  <%}%>


<!-- Show Sub Process Monitor Button //-->
 <%if (aInstance!=null)
    if (aInstance.kind().value()==com.ibm.workflow.api.ActivityInstancePackage.Type._PROCESS)
    {
      ProcessInstance inst = null;
      try
      {
        inst = aInstance.subProcessInstance();
      }
      catch(FmcException e){}

      if (inst!=null)
      {%>
  <td>
  <a href="<%=context.getCommand("showMonitor", aInstance.persistentOid(), "&type=Sub")%>">
  <img src="../images/navigation/show_sub.gif" border="0" alt="<%=context.get("PropertiesViewer.ShowSubProcessMonitor")%>"></a></td>
    <%}
      else
      {%>
    <td>
    <a href="javascript:{}" onClick="javascript:alert('The Process Instance is not available.')">
    <img src="../images/navigation/show_sub.gif" border="0" alt="<%=context.get("PropertiesViewer.ShowSubProcessMonitor")%>"></a></td>
    <%}
    }%>


  <td class="navigationseparator"><img src="../images/a_pixel.gif" width="3"></td>


<!-- Define the Action Icons for the Action Buttons -->
<%
  String imageAttr = "border=\"0\"";
%>


<% // ----------------  Action Buttons for Process Templates
  if (template != null)
  {
    String oid = template.persistentOid();
    String name = template.name();
    Command[] cmds = Command.getActions(template); %>

  <td>
  <%if (cmds.length == 0) {%>&nbsp;</td><%} else {%><a<%}%>
  <%for (int j = 0; j < cmds.length; ++j) {%>
    href="<%=cmds[j].getURL(context, oid, name, false)%>"><%=cmds[j].getActionButton(context, imageAttr)%></a><%if (j + 1 < cmds.length) {%><a<%} else {%></td><%}%>
  <%}
  }%>


<%// ----------------  Action Buttons for Process Instances
  if (pInstance != null)
  {
    String oid = pInstance.persistentOid();
    String name = pInstance.name();
    Command[] cmds = Command.getActions(pInstance); %>

  <td>
  <%if (cmds.length == 0) {%>&nbsp</td>;<%} else {%><a<%}%>
  <%for (int j = 0; j < cmds.length; ++j) {%>
    href="<%=cmds[j].getURL(context, oid, name, false)%>"><%=cmds[j].getActionButton(context, imageAttr)%></a><%if (j + 1 < cmds.length) {%><a<%} else {%></td><%}%>
  <%}
  }%>

<%// ----------------  Action Buttons for Work Items
  if (workItem!=null)
  {
    String user = context.getUserID();
    String oid = workItem.persistentOid();
    String name = workItem.name();
    Command[] cmds = Command.getActions(user, workItem); %>

  <td>
  <%if (cmds.length == 0) {%>&nbsp;</td><%} else {%><a<%}%>
  <%for (int j = 0; j < cmds.length; ++j) {%>
    href="<%=cmds[j].getURL(context, oid, name, false)%>"><%=cmds[j].getActionButton(context, imageAttr)%></a><%if (j + 1 < cmds.length) {%><a<%} else {%></td><%}%>
  <%}
  }%>


<%// ----------------  Action Buttons for Activity Instances
  if (aInstance!=null)
  {
    String user = context.getUserID();
    String oid = aInstance.persistentOid();
    String name = aInstance.name();
    Command[] cmds = Command.getActions(aInstance);

    int astate = aInstance.state().value();
    int pstate = aInstance.processInstanceState().value();

    boolean showTransfer =
       OnTheWorklistOf.length() > 0 &&
       ((pstate == com.ibm.workflow.api.ProcessInstancePackage.ExecutionState._RUNNING ||
         pstate == com.ibm.workflow.api.ProcessInstancePackage.ExecutionState._SUSPENDED ||
         pstate == com.ibm.workflow.api.ProcessInstancePackage.ExecutionState._SUSPENDING) &&
        (astate == com.ibm.workflow.api.ActivityInstancePackage.ExecutionState._EXECUTED ||
         astate == com.ibm.workflow.api.ActivityInstancePackage.ExecutionState._IN_ERROR ||
         astate == com.ibm.workflow.api.ActivityInstancePackage.ExecutionState._READY ||
         astate == com.ibm.workflow.api.ActivityInstancePackage.ExecutionState._SUSPENDED ||
         astate == com.ibm.workflow.api.ActivityInstancePackage.ExecutionState._SUSPENDING ||
         astate == com.ibm.workflow.api.ActivityInstancePackage.ExecutionState._TERMINATED));

    String textOwner = context.get("PropertiesViewer.TransferWIFrom", name);
    String textUser = context.get("PropertiesViewer.TransferWITo", name);

    String getOwner = "var owner=window.prompt('" + textOwner + "', '" + user + "')";
    String getUser = "var userID=window.prompt('" + textUser + "', '" + user + "')";
  %>
  <td>

  <% if (showTransfer) {%>
    <a href="javascript:<%=getOwner%>; if (owner != null) { <%=getUser%>; if (userID != null) location.replace('<%=context.getCommand("transferItem", oid, "&owner=")%>'+owner.toUpperCase() + '&userID=' +userID.toUpperCase());}">
    <%=Command.ITEM_TRANSFER.getActionButton(context, imageAttr)%></a><%if (cmds.length > 0) {%><a <%} else {%></td><%}%>
  <% } else {%><a
  <% } %>

   <%for (int j = 0; j < cmds.length; ++j) {%>
       href="<%=cmds[j].getURL(context, oid, name, false)%>"><%=cmds[j].getActionButton(context, imageAttr)%></a><%if (j + 1 < cmds.length) {%><a<%} else {%></td><%}%>
   <%}
  }%>


<!-- Refresh Button //-->
<%
  addl = "";
  if (workItem!=null)
  {
    command = "showWorkItemProperties";
    id = workItem.persistentOid();
  }
  else if (pInstance!=null)
  {
    command = "showInstanceProperties";
    id = pInstance.persistentOid();
  }
  else if (template!=null)
  {
    command = "showTemplateProperties";
    id = template.persistentOid();
  }
  else if (aInstance!=null)
  {
    command= "showActivityProperties";
    id = aInstance.persistentOid();
  }
  else if (cInstance!=null)
  {
    command= "showControlConnectorProperties";
    id = cInstance.persistentOidOfSourceActivity();
    addl = "&targetid=" +
       java.net.URLEncoder.encode(cInstance.persistentOidOfTargetActivity());
  }
%>


  <td>
    <a href="<%=context.getCommand(command, id, addl)%>">
    <img src="../images/navigation/refresh.gif" border="0" alt="<%=context.get("Command.Refresh")%>"></a></td>


  <td width="100%">&nbsp;</td>

  <td>
     <a href="javascript:{}" onClick="javascript:var helpwin=window.open('../help/Help_index.html','Help','width=600,height=500,screenX=200,screenY=0,scrollbars,resizable');helpwin.frames[1].location.replace('../help/Help_Body.html#Properties');">
     <img src="../images/navigation/help.gif" border="0" alt="<%=context.get("PropertiesViewer.Help")%>"></a></td>

  <td class="navigationseparator"><img src="../images/a_pixel.gif" width="3"></td>

  <td align="right">
     <a href="<%=context.getCommand("logoff")%>">
     <img src="../images/navigation/logoff.gif" border="0" alt="<%=context.get("PropertiesViewer.Logoff")%>"></a></td>


</tr>
</table><br>

<!-- --------------------------------------------- //-->
<!-- --------------- End of Navigator ------------ //-->
<!-- --------------------------------------------- //-->

<!-- --------------------------------------------- //-->
<!-- --------------- Title ----------------------- //-->
<!-- --------------------------------------------- //-->

<div class="title">
<%if (cInstance!=null)
  {%>
<%=type%> <%=context.get("PropertiesViewer.Title")%></div>
<%}
  else
  {%>
<%=context.get("PropertiesViewer.PropertiesOf", new String[] { type, Name })%></div>
<%}%>

<!-- --------------------------------------------- //-->
<!-- --------------- End of Title ---------------- //-->
<!-- --------------------------------------------- //-->


<!-- --------------------------------------------- //-->
<!-- ----- Tab Contexts till End of Code --------- //-->
<!-- --------------------------------------------- //-->


<!----------------- General ---------------------- //-->
<div id="<%=context.get("PropertiesViewer.General")%>" class="tabbody">
<br>
  <table border="0" cellspacing="8" cellpadding="2" width="695">
  <tr>
    <td width="140"><%=context.get("PropertiesViewer.Name")%></td>
    <td width="400" class="informationfield" colspan="2"><%=Name%></td><td width="155"></td>
  </tr>
  <%if (cInstance==null){%>
  <tr>
    <%
      if (Description != null)
      {
        Description = context.replaceInString(Description, "\r\n", "<br>");
        Description = context.replaceInString(Description, "\n", "<br>");
        Description = context.replaceInString(Description, "\r", "<br>");
        Description = context.replaceInString(Description,  "\"", "\\\"");
      }
    %>
    <td><%=context.get("PropertiesViewer.Description")%></td>
    <td class="informationfield" colspan="2"><%=context.null2Empty(Description)%></td><td></td>
  </tr><%}%>
  <%if (pInstance!=null){%>
  <tr>
    <td><%=context.get("PropertiesViewer.TemplateName")%></td>
    <td width="220" class="informationfield"><%=TemplateName%></td><td></td>
  </tr><%}%>
  <%if (template==null){%>
  <tr>
    <td width="140"><%=context.get("PropertiesViewer.State")%></td>
    <td width="220" class="informationfield"><%=State%></td><td width="180"></td>
  </tr>
  <% if (errorReason != null) {%>
  <tr>
    <td width="140"><%=context.get("PropertiesViewer.Reason")%></td>
    <td width="220" class="informationfield" colspan="2"><%=errorReason.messageText%></td><td width="155"></td>
  </tr><%}%>
  <%if (pInstance==null){%>
  <tr>
    <td><%=context.get("PropertiesViewer.Type")%></td>
    <td width="220" class="informationfield"><%=Type%></td><td></td>
  </tr>
  <%if (cInstance==null){%>
  <tr>
    <td><%=context.get("PropertiesViewer.ProgramName")%></td>
    <td width="220" class="informationfield"><%=ProgramName%></td><td></td>
  </tr>
  <%if (workItem!=null){%>
  <tr>
    <td><%=context.get("PropertiesViewer.ReceivedAs")%></td>
    <td width="220" class="informationfield"><%=ReceivedAs%></td><td></td>
  </tr><%}%>
  <tr>
    <td><%=context.get("PropertiesViewer.Process")%></td>
    <td width="220" class="informationfield"><%=ProcessName%></td><td></td>
  </tr><%}%><%}%><%}%>
  <%if (cInstance==null){%>
  <tr>
    <td><%=context.get("PropertiesViewer.Category")%></td>
    <td width="220" class="informationfield"><%=Category%></td><td></td>
  </tr><%}%>
  <%if (pInstance!=null){%>
  <tr>
    <td><%=context.get("PropertiesViewer.ParentName")%></td>
    <td width="220" class="informationfield"><%=ParentName%></td><td></td>
  </tr>
  <tr>
    <td><%=context.get("PropertiesViewer.TopLevelProcess")%></td>
    <td width="220" class="informationfield"><%=TopLevelProcess%></td><td></td>
  </tr><%}%>
  <%if (pInstance!=null || template!=null){%>
  <tr>
    <td><%=context.get("PropertiesViewer.AuditMode")%></td>
    <td width="220" class="informationfield"><%=AuditMode%></td><td></td>
  </tr><%}%>
  <%if (cInstance!=null){%>
  <tr>
    <td><%=context.get("PropertiesViewer.Condition")%></td>
    <td width="220" class="informationfield"><%=StartCondition%></td><td width="240"></td>
  </tr>
  <tr>
    <td><%=context.get("PropertiesViewer.Source")%></td>
    <td width="220" class="informationfield"><%=Source%></td><td width="240"></td>
  </tr>
  <tr>
    <td><%=context.get("PropertiesViewer.Target")%></td>
    <td class="informationfield"><%=Target%></td><td></td>
  </tr><%}%>
  </table>
<br>
</div>
<!-------------- End of General ------------------- //-->

<%if (aInstance!=null || workItem!=null){%>
<!----------------- Start and Exit ---------------- //-->
<div id="<%=context.get("PropertiesViewer.StartAndExit")%>" class="tabbody">
<br>
  <table border="0" cellspacing="8" cellpadding="2" width="695">
  <tr>
    <td width="100"><%=context.get("PropertiesViewer.Start")%></td>
    <td width="160" class="informationfield"><%=Start%></td><td width="240"></td>
  </tr>
  <tr>
    <td width="100"><%=context.get("PropertiesViewer.StartCondition")%></td>
    <td width="400" class="informationfield" colspan="2"><%=StartCondition%></td>
  </tr>
  <tr>
    <td width="100"><%=context.get("PropertiesViewer.Exit")%></td>
    <td width="160" class="informationfield"><%=Exit%></td><td width="240"></td>
  </tr>
  <tr>
    <td width="100"><%=context.get("PropertiesViewer.ExitCondition")%></td>
    <td width="400" class="informationfield" colspan="2"><%=ExitCondition%></td>
  </tr>
  </table>
<br>
</div>
<!-----------End of Start and Exit ---------------- //-->
<%}%>

<%if (cInstance==null){%>
<!------------------ Staff ------------------------ //-->
<div id="<%=context.get("PropertiesViewer.Staff")%>" class="tabbody">
<br>
  <table border="0" cellspacing="8" cellpadding="2" width="695">
  <%if (aInstance!=null || workItem!=null){%>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.OnTheWorklistOf")%></td>
    <td width="400" class="informationfield" colspan="2"><%=OnTheWorklistOf%></td>
  </tr><%}%>
  <%if (template==null){%>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.Starter")%></td>
    <td width="160" class="informationfield"><%=Starter%></td><td width="240"></td>
  </tr><%}%>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.ProcessAdministrator")%></td>
    <td width="160" class="informationfield"><%=ProcessAdmin%></td><td width="240"></td>
  </tr>
  <%if (aInstance!=null || workItem!=null){%>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.Priority")%></td>
    <td width="160" class="informationfield"><%=Priority%></td><td width="240"></td>
  </tr><%}%>
  <%if (pInstance!=null || template!=null){%>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.Role")%></td>
    <td width="160" class="informationfield"><%=Role%></td><td width="240"></td>
  </tr>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.Organization")%></td>
    <td width="160" class="informationfield"><%=Organization%></td><td width="240"></td>
  </tr><%}%>
  </table>
<br>
</div>
<!------------------- End of Staff ---------------- //-->
<%}%>


<%if (cInstance==null){%>
<!------------------ Data Structures ------------------------ //-->
<div id="<%=context.get("PropertiesViewer.DataStructures")%>" class="tabbody">
<br>
  <table border="0" cellspacing="8" cellpadding="2" width="695">
  <tr>
    <td width="140"><%=context.get("PropertiesViewer.InputDataStructure")%></td>
    <td width="250" class="informationfield"><%=InputDataStructure%></td><td></td>
  </tr>
  <tr>
    <td width="140"><%=context.get("PropertiesViewer.OutputDataStructure")%></td>
    <td width="250" class="informationfield"><%=OutputDataStructure%></td><td></td>
  </tr>
  </table>
<br>
</div>
<!------------------- End of Data Structures ---------------- //-->
<%}%>

<%if (cInstance==null){%>
<!----------------- Documentation ----------------- //-->
<div id="<%=context.get("PropertiesViewer.Documentation")%>" class="tabbody">
<br>
  <table border="0" cellspacing="8" cellpadding="2" width="695">
  <tr>
    <%
      if (Documentation != null)
      {
        Documentation = context.replaceInString(Documentation, "\r\n", "<br>");
        Documentation = context.replaceInString(Documentation, "\n", "<br>");
        Documentation = context.replaceInString(Documentation, "\r", "<br>");
        Documentation = context.replaceInString(Documentation,  "\"", "\\\"");
      }
    %>
    <td class="informationfield"><%=context.null2Empty(Documentation)%></td>
  </tr>
  </table>
<br>
</div>
<!---------------- End of Documentation ----------- //-->
<%}%>

<%if (aInstance!=null || workItem!=null || pInstance!=null){%>
<!--------------------- History ------------------- //-->
<div id="<%=context.get("PropertiesViewer.History")%>" class="tabbody">
<br>
  <table border="0" cellspacing="8" cellpadding="2" width="695">
  <tr>
    <td width="100"><%=context.get("PropertiesViewer.Received")%></td>
    <td width="160" class="informationfield"><%=Received%></td>
  </tr>
  <%if (pInstance==null){%>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.FirstNotification")%></td>
    <td width="160" class="informationfield"><%=FirstNotification%></td><td></td>
  </tr>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.SecondNotification")%></td>
    <td width="160" class="informationfield"><%=SecondNotification%></td><td></td>
  </tr><%} else {%>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.Notification")%></td>
    <td width="160" class="informationfield"><%=FirstNotification%></td><td></td>
  </tr><%}%>
  <tr>
    <td width="130"><%=context.get("PropertiesViewer.Finished")%></td>
    <td width="160" class="informationfield"><%=Finished%></td><td></td>
  </tr>
  </table>
<br>
</div>
<!----------------- End of History ---------------- //-->
<%}%>

<%if (pInstance != null || aInstance!=null || workItem!=null){%>
<!--------------- Input_Container ----------------- //-->
<div id="<%=context.get("PropertiesViewer.InputContainer")%>" class="tabbody" style="width:700px;">
<br>
  <table border="3" width="695">
  <tr bgcolor="#7B94E7">
    <td width="30%"><%=context.get("PropertiesViewer.InContainerData")%></td>
    <td width="20%"><%=context.get("PropertiesViewer.InContainerType")%></td>
    <td width="50%"><%=context.get("PropertiesViewer.InContainerValue")%></td>
  </tr>
  <%=InContainer%>
  </table>
<br>
</div>
<!------------- End of Input Container ------------ //-->
<%}%>

<%if (pInstance != null || aInstance!=null || workItem!=null){%>
<!-------------- Output_Container ----------------- //-->
<div id="<%=context.get("PropertiesViewer.OutputContainer")%>" class="tabbody">
<br>
  <table border="3" width="695">
  <tr bgcolor="#7B94E7">
    <td width="30%"><%=context.get("PropertiesViewer.OutContainerData")%></td>
    <td width="20%"><%=context.get("PropertiesViewer.OutContainerType")%></td>
    <td width="50%"><%=context.get("PropertiesViewer.OutContainerValue")%></td>
  </tr>
  <%=OutContainer%>
  </table>
<br>
</div>
<!------------- End of Output_Container ----------- //-->
<%}%>

</body>
</html>
