<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="Get data to suspend an instance" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<%-- ---------------------------------------------------------------------
<!-- enable this section if you do not want the 'suspend until' form   -->

<%
  // Heuristics: (JSP >= 1.1) iff (Servlet >= 2.2)
  boolean hasJSP1_1 = (application.getMajorVersion() > 2) ||
                      (application.getMajorVersion() == 2 &&
                       application.getMinorVersion() > 1);

  if (hasJSP1_1)
  {
    String servletPath = context.getServletPath();
    // context.log("  Forwarding to '" + servletPath + "?submitData=true&deep=true'", false);
%>
    <!-- comment the following out if your application server does not support JSP 1.1 -->
    <!-- parameters 'command' and 'id' are already in the request -->
    <jsp:forward page="<%=servletPath%>">
      <jsp:param name="submitData" value="true"/>
      <jsp:param name="deep" value="true"/>
    </jsp:forward>
<%}
  else
  {
    // this involves an extra client request as opposed to the above...
    String command = context.getCommand("suspendInstance",
                                        context.getInstance().persistentOid(),
                                        "&submitData=true&deep=true");
    // not all application servers (e.g., WAS V3.0.2) support relative URLs
    command = new java.net.URL(request.getScheme(), request.getServerName(),
                               request.getServerPort(), command).toString();
    // context.log("  Redirecting to '" + command + "'", false);
    response.sendRedirect(command);
  }
%>

--------------------------------------------------------------------- --%>

<%
  ProcessInstance instance = context.getInstance();
  Command suspend = Command.PI_SUSPEND;
  Command cancel = Command.PIL_QUERY_INSTANCES.withText("Command.Cancel");
  String oidCancel = context.getInstanceListOid();
%>

<html>

<head>
  <title><%=context.get("SuspendInstance.Title")%></title>
  <link rel="stylesheet" type="text/css" href="../webclientstyle.css">
</head>

<body>
<h1><%=context.get("SuspendInstance.Header", instance.name())%></h1>

<%=context.openForm(suspend.getCommand(), instance.persistentOid())%>
  <%=context.get("SuspendInstance.Until")%>
  <select name="day">
    <option selected></option>
    <option>01</option>
    <option>02</option>
    <option>03</option>
    <option>04</option>
    <option>05</option>
    <option>06</option>
    <option>07</option>
    <option>08</option>
    <option>09</option>
    <option>10</option>
    <option>11</option>
    <option>12</option>
    <option>13</option>
    <option>14</option>
    <option>15</option>
    <option>16</option>
    <option>17</option>
    <option>18</option>
    <option>19</option>
    <option>20</option>
    <option>21</option>
    <option>22</option>
    <option>23</option>
    <option>24</option>
    <option>25</option>
    <option>26</option>
    <option>27</option>
    <option>28</option>
    <option>29</option>
    <option>30</option>
    <option>31</option>
  </select>
  <select name="month">
    <option selected></option>
    <option value="01"><%=context.get("SuspendInstance.Jan")%></option>
    <option value="02"><%=context.get("SuspendInstance.Feb")%></option>
    <option value="03"><%=context.get("SuspendInstance.Mar")%></option>
    <option value="04"><%=context.get("SuspendInstance.Apr")%></option>
    <option value="05"><%=context.get("SuspendInstance.May")%></option>
    <option value="06"><%=context.get("SuspendInstance.Jun")%></option>
    <option value="07"><%=context.get("SuspendInstance.Jul")%></option>
    <option value="08"><%=context.get("SuspendInstance.Aug")%></option>
    <option value="09"><%=context.get("SuspendInstance.Sep")%></option>
    <option value="10"><%=context.get("SuspendInstance.Oct")%></option>
    <option value="11"><%=context.get("SuspendInstance.Nov")%></option>
    <option value="12"><%=context.get("SuspendInstance.Dec")%></option>
  </select>
  <select name="year">
    <option selected></option>
    <option>2001</option>
    <option>2002</option>
    <option>2003</option>
    <option>2004</option>
    <option>2005</option>
    <option>2006</option>
    <option>2007</option>
    <option>2008</option>
    <option>2009</option>
    <option>2010</option>
  </select>
  <%=context.get("SuspendInstance.At")%>
  <select name="hour">
    <option selected></option>
    <option>00</option>
    <option>01</option>
    <option>02</option>
    <option>03</option>
    <option>04</option>
    <option>05</option>
    <option>06</option>
    <option>07</option>
    <option>08</option>
    <option>09</option>
    <option>10</option>
    <option>11</option>
    <option>12</option>
    <option>13</option>
    <option>14</option>
    <option>15</option>
    <option>16</option>
    <option>17</option>
    <option>18</option>
    <option>19</option>
    <option>20</option>
    <option>21</option>
    <option>22</option>
    <option>23</option>
  </select>
  <%=context.get("SuspendInstance.TimeSep")%>
  <select name="minute">
    <option selected></option>
    <option>00</option>
    <option>05</option>
    <option>10</option>
    <option>15</option>
    <option>20</option>
    <option>25</option>
    <option>30</option>
    <option>35</option>
    <option>40</option>
    <option>45</option>
    <option>50</option>
    <option>55</option>
  </select>
  <br><br>
  <%=context.get("SuspendInstance.Explanation")%>
  <br><br>
  <input type="submit" name="submitData" value="<%=suspend.getText(context)%>">
  <input type="button" name="cancel" value="<%=cancel.getText(context)%>"
         onClick="javascript:location.replace('<%=cancel.getURL(context, oidCancel, null, false)%>')">
</form>

<script language="JavaScript1.1"> <!-- in 1.0, options.text is r/o... -->

  with (document.forms[0])
  {
    var date = new Date();
    var y = date.getYear();

    if (y < 1000) y += 1900;

    // do not show past years
    for (i = 1; i < year.options.length; ++i)
      year.options[i].text = y + i - 1;
  }

</script>

</body>
