<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP System Info Viewer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<html>
<head>
<title>IBM MQSeries Workflow Web Client - <%=context.get("SystemInfoViewer.Title")%></title>
<link rel="stylesheet" type="text/css" href="../webclientstyle.css">
<style type="text/css">
<!--
  body
  {
    margin:-1cm;
    width:600cm;
  }
  td
  {
    font-size     : 8pt;
    font-family   : Arial, Helvetica, sans-serif;
  }
  .systemtitle
  {
    font-family   :sans-serif;
    font-size     :11pt;
    font-weight   :bold;
    margin-bottom :0.3cm;
  }
  .closebutton
  {
    margin-top       :-1.3cm;
    margin-right     :0.1cm;
  }
//-->
</style>
</head>
<%
  String version = context.getJavaApiVersionInfo();

  if (version == null)
    version = "";
  else
    version = version.substring(4, version.length());
%>

<body>

<div class="helphead">
<table border="0" cellpadding="0" cellspacing="0" width="100%" height="30">
  <tr>
  <td align="left" nowrap>
    <div style="color:white; font-family:Arial, Helvetica, sans-serif; font-size:12pt; font-weight:bold; ">&nbsp;<%=context.get("SystemInfoViewer.Title")%></div></td>
  <td width="100%" align="center">&nbsp;</td>
  <td align="right">
    <img src="../images/raute.gif" height="30"></td>
  </tr>
</table>
</div>

<font face="arial" size="2"><b>
<br>
<div class="systemtitle">
  &nbsp;<%=context.get("SystemInfoViewer.MQSeriesWorkflowSystem")%>
</div>
<table border="0" cellspacing="4">
<tr>
  <td nowrap valign=top width="120"><%=context.get("SystemInfoViewer.SystemGroup")%></td>
  <td class="informationfield" width="300"><%=context.getSystemGroup()%></td>
</tr>
<tr>
  <td nowrap><%=context.get("SystemInfoViewer.System")%></td>
  <td class="informationfield"><%=context.getExecutionService().systemName()%></td>
</tr>
<tr>
  <td nowrap><%=context.get("SystemInfoViewer.MQWFJavaAPI")%></td>
  <td class="informationfield"><%=version%></td>
</tr>
</table>
<hr>
<div class="systemtitle">
&nbsp;<%=context.get("SystemInfoViewer.WebServerSystem")%>
</div>
<table cellspacing="4">
<tr>
  <td valign="top" nowrap width="120"><%=context.get("SystemInfoViewer.WebServer")%></td>
  <td class="informationfield" width="400" colspan="2"><%=context.getServerInfo()%></td>
</tr>
<tr>
  <td nowrap><%=context.get("SystemInfoViewer.JavaServletAPI")%></td>
  <td class="informationfield" width="300"><%=context.getServletVersion()%></td>
  <td width="100"></td>
</tr>
<tr>
  <td nowrap><%=context.get("SystemInfoViewer.JavaDevelopmentKit")%></td>
  <td class="informationfield"><%=context.get("SystemInfoViewer.Version")%> <%=System.getProperty("java.version")%></td>
  <td></td>
</tr>
<tr>
  <td nowrap><%=context.get("SystemInfoViewer.OperatingSystem")%></td>
  <td class="informationfield"><%=System.getProperty("os.name")%> <%=System.getProperty("os.version")%></td>
  <td></td>
</tr>
</table>
</b></font>
<div class="closebutton" align="right">
  <form>
    <input type="button" value="<%=context.get("SystemInfoViewer.Close")%>" onClick="javascript:self.close();">
    &nbsp;
  </form>
</div>
</body>

</html>
