<?xml version='1.0'?>

<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version    = '1.0'>

<xsl:output method='wml' indent='no'/>

<!-- ========================================================= -->
<!-- For the root                                              -->
<!-- ========================================================= -->
<xsl:template match='/'>
  <wml>
    <template>
      <do label="Back" type="prev" name="back"><prev/></do>
      <do label="Lists" type="accept" name="lists"><go href="#lists"/></do>
      <do label="Logoff" type="accept" name="logoff"><go href="/MQWFClient/servlet/Main?command=logoff"/></do>
    </template>

    <xsl:apply-templates select='RequestContext/ClientException'/>

  <!-- ========================================================= -->
  <!-- the navigation card                                       -->
  <!-- ========================================================= -->
  <card id="lists" title="Navigation">
    <p>
      <anchor title="worklist">WorkList
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="queryWorkItems"/>
          <postfield name="id"><xsl:attribute name="value"><xsl:value-of select='RequestContext/WorkList/PersistentOid'/></xsl:attribute></postfield>
          <postfield name="useCache" value="true"/>
        </go>
      </anchor><br/>
      <anchor title="templatelist">TemplateList
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="queryProcessTemplates"/>
          <postfield name="id"><xsl:attribute name="value"><xsl:value-of select='RequestContext/TemplateList/PersistentOid'/></xsl:attribute></postfield>
          <postfield name="useCache" value="true"/>
        </go>
      </anchor><br/>
      <anchor title="instancelist">InstanceList
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="queryProcessInstances"/>
          <postfield name="id"><xsl:attribute name="value"><xsl:value-of select='RequestContext/InstanceList/PersistentOid'/></xsl:attribute></postfield>
          <postfield name="useCache" value="true"/>
        </go>
      </anchor><br/>
    </p>
  </card>

  </wml>
</xsl:template>


<!-- ========================================================= -->
<!-- the CliebtException being processed                       -->
<!-- ========================================================= -->
<xsl:template match='RequestContext/ClientException'>

  <!-- ========================================================= -->
  <!-- the error card                                            -->
  <!-- ========================================================= -->
  <card id="error" title="Error">
    <p>
        <xsl:value-of select='Title'/><br/>
        <xsl:value-of select='Message'/><br/>
        <br/>
        <a href="#stack">stackTrace</a>

    </p>
  </card>

  <!-- ========================================================= -->
  <!-- the stacktrace card                                       -->
  <!-- ========================================================= -->
  <card id="stack" title="Stacktrace">
    <p>
        <!-- treshold for stackTrace -->
        <xsl:for-each select='StackTrace/Line'>
        <xsl:if test='position() &lt;= 5'>
                <xsl:value-of select='.'/><br/>
        </xsl:if>
      </xsl:for-each>
   </p>
  </card>


</xsl:template>


</xsl:stylesheet>
