<?xml version='1.0'?>

<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version    = '1.0'>

<xsl:include href="navigation-wml-7110.xsl"/>

<!-- ========================================================= -->
<!-- the RequestContext as the main tag being processed           -->
<!-- ========================================================= -->
<xsl:template match='RequestContext'>

  <!-- ========================================================= -->
  <!-- the main card for workitems/templates/instances           -->
  <!-- ========================================================= -->
  <card><xsl:attribute name="title"><xsl:value-of select='InstanceList/Name'/></xsl:attribute>
    <p>
        <!-- ========================================================= -->
        <!-- show the templates if there are any (regarding threshold) -->
        <!-- ========================================================= -->
      <xsl:variable name="threshold"><xsl:value-of select='number(InstanceList/Threshold)'/></xsl:variable>
      <xsl:for-each select='InstanceList/ProcessInstance'>
        <xsl:if test='position() &lt;= 6'>
          <xsl:if test='position() &lt;= $threshold'>
            <anchor><xsl:value-of select='Name'/>
              <go href="#options">
                <setvar name="inst_oid"><xsl:attribute name="value"><xsl:value-of select='PersistentOid'/></xsl:attribute></setvar>
              </go>
            </anchor><br/>
          </xsl:if>
        </xsl:if>
      </xsl:for-each>
    </p>
  </card>

 <!-- ========================================================= -->
 <!-- the options card                                          -->
 <!-- ========================================================= -->
  <card id="options" title="Instance">
    <p>
      <anchor title="suspend">Suspend
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="suspendInstance"/>
          <postfield name="id" value="$(inst_oid)"/>
          <postfield name="startAllowed" value="true"/>
        </go>
      </anchor><br/>
      <anchor title="terminate">Terminate
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="terminateInstance"/>
          <postfield name="id" value="$(inst_oid)"/>
        </go>
      </anchor>
    </p>
  </card>

</xsl:template>

</xsl:stylesheet>
