<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %i%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP workitem start" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>
<html>

<head>
  <title>NCollectCreditData</title>
  <link rel="stylesheet" href="../creditsample.css">
</head>

<%
  ReadOnlyContainer inData = context.getContainer();
  WorkItem workItem = context.getWorkItem();
  String firstName = context.getMemberValue(inData, "FirstName", "&lt;notset&gt;");
  String lastName = context.getMemberValue(inData, "LastName", "&lt;notset&gt;");
%>

<body>
<span class="title">Collect Credit Information (JSP version)</span>
<hr>
<%=context.openForm("checkInWorkItem", workItem.persistentOid())%>
  <input type="hidden" name="CreditRequestor.FirstName" value="<%=firstName%>">
  <input type="hidden" name="CreditRequestor.LastName" value="<%=lastName%>">
  <div class="infoemphasized"><%=firstName%> <%=lastName%> requests a credit.</div>
  <br>
  <br>
  <table width="587">
    <tr>
      <td width="289" class="instruction">Enter e-Mail Address:</td>
      <td width="286"><input type="text" name="Address" size="40"></TD>
    </tr>
    <tr>
      <td width="289" class="instruction">Enter Credit Amount:</td>
      <td width="286"><input type="text" name="CreditAmount" size="15"></td>
    </tr>
  </table>
  <br>
  <hr>
  <input type="submit" name="checkinWorkitem" value="Complete work item">
  <input type="button" name="cancelWorkItem" value="Cancel" onClick="javascript:{location='<%=context.getCommand("cancelWorkItem", workItem.persistentOid())%>';}">
</form>
</body>
</html>
