/*BEGIN CMVC */
//*************************************************************************
//
//  Workfile: %W%
//  Last update: %E% %U%
//  SCCS path, id: %F% %I%
//
//************************************************************************/
//END CMVC */
/*BEGIN COPYRIGHT */
//*************************************************************************
//
//  Licensed Materials - Property of IBM
//  WA81 SupportPac
//  (c) Copyright IBM Corp. 1999, 2001
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
//************************************************************************/
/*END COPYRIGHT */
/*BEGIN DISCLAIMER */
//*************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
//************************************************************************/
/*END DISCLAIMER */

package com.ibm.workflow.servlet.sample;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class TestServlet extends HttpServlet
{
  public String getServletInfo()
  {
    return "Test servlet";
  }

  public void init(ServletConfig servletConfig) throws ServletException
  {
    super.init(servletConfig);
  }

  public void service(HttpServletRequest request, HttpServletResponse response)
              throws ServletException, IOException
  {
    PrintWriter out = response.getWriter();
    out.println("<html><head><title>Title</title></head><body>");
    out.println("<h1>Dump</h1>");
    dump(out, request);
    out.println("</body></html>");
    out.close();
  }

  private String toHex(byte[] buffer, int offs, int length)
  {
    StringBuffer rc = new StringBuffer(2 * length);
    char[] hexChars = { '0', '1', '2', '3', '4', '5', '6', '7',
                        '8', '9', 'A', 'B', 'C', 'D', 'E', 'F' };

    for (int i = offs; i < offs + length; ++i)
    {
      byte val = buffer[i];
      rc.append(hexChars[(val & 0xF0) >> 4]);
      rc.append(hexChars[val & 0x0F]);
      rc.append(' ');
    }

    return rc.toString();
  }

  // <form method="post" action="/MQWFClient/servlet/Test" enctype="multipart/form-data">
  // <input type="text" name="tname" value="tvalue"><br>
  // <input type="file" name="fname" value="fvalue"><br>
  // <input type="submit" value="Submit">
  // </form>

  // <headers>
  // Content-Length = '785'
  // Accept-Language = 'en-us,de;q=0.5'
  // Connection = 'Keep-Alive'
  // User-Agent = 'Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)'
  // Referer = 'http://localhost:8080/MQWFClient/index.html'
  // Host = 'localhost:8080'
  // Accept-Encoding = 'gzip, deflate'
  // Cookie = 'JSESSIONID=tjcm57g0d1'
  // Content-Type = 'multipart/form-data; boundary=---------------------------7d1d929101de'
  // Accept = 'image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, */*'
  // </headers>
  // <parameters>
  // </parameters>
  // <attributes>
  // </attributes>
  // <contents>
  // -----------------------------7d1d929101de
  // Content-Disposition: form-data; name="tname"
  //
  // tvalue
  // -----------------------------7d1d929101de
  // Content-Disposition: form-data; name="fname"; filename="E:\wa81\tpenv.bat"
  // Content-Type: application/octet-stream
  //
  // @set fmc_home=e:\fmcwinnt
  // set fmc_version=3220
  // @rem set jdkhome=e:\jdk1.1.8
  // @rem set jdkhome=e:\jdk1.3
  // set jdkhome=e:\jdk1.2.2
  // set path=e:\toolsn;%jdkhome%\bin;d:\java\jikes;%path%
  // @set xpath=e:\toolsn
  // @set epath=e:\wa81\src;e:\wa81\src\servlet\client;e:\wa81\src\servlet\sample;e:\wa81\src\WebClient\doc;e:\wa81\src\WebClient\webpages\forms;
  // @set jikespath=%jdkhome%\lib\classes.zip
  // @set jikespath=%jdkhome%\jre\lib\rt.jar;%jdkhome%\jre\lib\i18n.jar
  // @cd e:\wa81\src
  //
  // -----------------------------7d1d929101de--
  // </contents>

  // "Content-Type" "=" mimetype ";" "boundary=" boundary
  // mimetype ::= ( "multipart" | type ) "/" subtype
  // multipart ::= ( "--" boundary "\r\n" ( header "\r\n" )* "\r\n" data )+
  //               "--" boundary "--"
  // header ::= "Content-Type:" mimetype
  //          | "Content-Disposition:" subtype ";" "name=\"" data "\""
  //                                         ( ";" key "=\"" data "\"" )*
  // see RFC 1867 and 2046 (MIME types)

  private void dump(PrintWriter log, HttpServletRequest request)
  {
    java.util.Enumeration e = request.getHeaderNames();

    log.println("<tt>");
    log.println("&lt;headers&gt;<br>");

    while (e.hasMoreElements())
    {
      String name = (String) e.nextElement();
      log.println("  " + name + " = '" + request.getHeader(name) + "'<br>");
    }

    log.println("&lt;/headers&gt;<br>");

    e = request.getParameterNames();

    log.println("&lt;parameters&gt;<br>");

    while (e.hasMoreElements())
    {
      String name = (String) e.nextElement();
      log.println("  " + name + " = '" + request.getParameter(name) + "'<br>");
    }

    log.println("&lt;/parameters&gt;<br>");

    try
    {
      e = request.getAttributeNames();

      log.println("&lt;attributes&gt;<br>");

      while (e.hasMoreElements())
      {
        String name = (String) e.nextElement();
        log.println("  " + name + " = '" + request.getAttribute(name) + "'<br>");
      }

      log.println("&lt;/attributes&gt;<br>");
    }
    catch (NoSuchMethodError ignored)
    {
      //@V21 - not yet available on /390 which is V2.0
    }

    log.println("&lt;contents&gt;<br>");

    try
    {
      ServletInputStream in = request.getInputStream();
      int length = request.getContentLength();

      if (length > 0)
      {
        byte[] buffer = new byte[length];

        for (int read = 0; (read = in.readLine(buffer, 0, length)) != 0; )
        {
          if (read < 0)
            break;

          log.println(new String(buffer, 0, read) + "<br>");
          // log.println(toHex(buffer, 0, read) + "<br>");
        }
      }
    }
    catch (IOException xcpt)
    {
      log.println("  Error: " + xcpt.toString());
    }

    log.println("&lt;/contents&gt;<br>");

    log.println("</tt>");
  }
}
